WHEREIS(1)

NOM
whereis - Rechercher les fichiers exécutables, les sources et les pages de manuel d'une commande

SYNOPSIS
whereis [-bmsu] [-BMS répertoire ... -f] fichier ...

DESCRIPTION
whereis recherche les fichiers exécutables, les sources et les pages de manuel des fichiers indiqués. Les noms des fichiers sont obtenus en supprimant le chemin d'accès et les extensions (uniques) éventuelles de la forme .ext, comme par exemple .c. Les préfixes de la forme s. utilisés pour le contrôle du code source sont également pris en charge. whereis recherche le programme demandé dans une liste de répertoires standards sous Linux.

OPTIONS

-b  Rechercher seulement les exécutables.

-m  Rechercher seulement les pages de manuel.

-s  Rechercher seulement les fichiers source.

-u  Rechercher les fichiers anormaux. Un fichier est anormal s'il manque l'exécutable ou le fichier source ou la page de manuel. Par exemple, « whereis -m -u * » recherche les fichiers du répertoire courant qui n'ont pas de page de manuel.

-B  Modifier ou limiter les répertoires où whereis cherche les exécutables.

-M  Modifier ou limiter les répertoires où whereis cherche les pages de manuel.

-S  Modifier ou limiter les répertoires où whereis cherche les fichiers source.

-f  Marquer la fin de la liste des répertoires et le début des noms de fichiers. Cette option est obligatoire quand l'une des options -B, -M ou -S est utilisée.

EXEMPLE
Trouver tous les fichiers dans /usr/bin non documentés dans /usr/share/man/man1 et ayant leur source dans /usr/src :

    exemple% cd /usr/bin
    exemple% whereis -u -M /usr/share/man/man1 -S /usr/src -f *

FICHIERS

/{bin,sbin,etc}

/usr/{lib,bin,old,new,local,games,include,etc,src,man,sbin,
    X386,TeX,g++-include}

/usr/local/{X386,TeX,X11,include,lib,man,etc,bin,games,emacs}

VOIR AUSSI
chdir(2)

BOGUES
Comme whereis utilise chdir(2) pour aller plus vite, les chemins donnés avec -M, -S ou -B doivent être absolus c'est-à-dire commencer par un « / ».

whereis a un chemin codé en dur, aussi il ne pourra peut-être pas toujours trouver ce que vous recherchez.

DISPONIBILITÉ
La commande whereis fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Michel Quercia en 1997. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.